# FFPB Status-Bot

Der Bot benötigt Python 2 und basiert auf ["Willie"](http://willie.dftba.net) welcher unverändert als Git-Submodul eingebunden ist. Hinzugefügt wurde das Plugin "[ffpb](modules/ffpb.py)" und ein [Startup-Skript](bot.sh).

## Funktionen

1. Status zum Netz `!status`
2. Ping von Peers `!ping ffpb-dev2`
3. Remote-Execution auf Peers `!exec-on-peer ffpb-dev uptime`
4. Willie-Standardfunktionen für owner/admin:
  * Neuladen des FFPB-Moduls: `!reload ffpb`
  * Nachricht in Channel schreiben: `!msg #channel Nachricht`

## Installation

Dieses Git-Repository wird an beliebiger Stelle geklont (diese Dokumentation geht von /opt/ffpb-statusbot aus):
```
git clone --recursive https://git.c3pb.de/freifunk-pb/status-bot.git /opt/ffpb-statusbot
```

Der Bot hat Abhängigkeiten:
```
apt-get install python-pip python-netaddr python-urllib2
pip install "GitPython>=0.3.2.RC1"
```

Das Start-Up-Skript erfordert einen der Parameter "start" oder "stop" und eignet sich als Init-Skript:
```
ln -s /opt/ffpb-statusbot/bot.sh /etc/init.d/ffpb-statusbot
update-rc.d ffpb-statusbot enable
```

## Konfiguration

Die Datei `bot.cfg.example` enthält eine Beispiel-Konfiguration und muss für die Benutzung nach `bot.cfg` kopiert und angepasst werden. Die wichtigsten Parameter sind nachfolgend erklärt:

### core

Willie-Standardkonfiguration ([siehe auch](https://github.com/embolalia/willie/wiki/Core-configuration-settings))

| Parameter  | Typ      | Beschreibung                     |
|------------|----------|---------------------------------|
| nick       | String   | Nickname des Bots                |
| user       | String   | Benutzername gegenüber dem IRC-Server |
| name       | String   | "Real Name" des Bots im IRC      |
| host       | String   | Host des IRC-Servers             |
| port       | Integer  | Port des IRC-Servers             |
| owner      | String   | Nickname des Besitzer des Bots   |
| admins     | Liste    | weiterer Bot-Admins (kommasepariert, keine Leerzeichen um das Komma setzen!) |
| channels   | Liste    | IRC-Channel die der Bot betritt |

### ffpb

Parameter für das ffpb-Zusatzmodul

| Parameter  | Typ      | Beschreibung                     |
|------------|----------|---------------------------------|
| msg_enable | Boolean  | Soll der Messaging-Server aktiviert werden? |
| msg_port   | Integer  | TCP-Port auf dem der Messaging-Server lauscht (Default = 2342) |
| msg_target | String   | Nutzer/Raum zu dem die Messaging-Zeilen geschickt werden |
